<#assign base=request.contextPath />
<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>
    <style type="text/css">
        .table-title{
            text-align: left;
        }
        input::-webkit-outer-spin-button,
        input::-webkit-inner-spin-button {
            -webkit-appearance: none;
        }
        input[type="text"]{
            -moz-appearance: textfield;
        }
        .am-table-striped>tbody>tr:nth-child(odd)>input[type="text"]{
            background-color: #f9f9f9;
        }
        input[type="text"]:focus{
            outline: none;
        }
        .table-inline {
            /*width: 600px;*/
            width: 100%;
            border:0 none;
            outline:none;
        }
        .sameline {
            display: flex;
            /*position: relative;*/
        }
    </style>
<div class="admin-content">
    <div class="admin-content-body">
        <div class="am-cf am-padding">
            <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">项目立项(概算)表</strong></div>
        </div>

        <form method="post" class="am-form" id="pmsForm" action="${base}/project/estimateAddSave" data-am-validator>
            <!--选项卡（tabs）begin-->
            <div class="am-tabs am-margin" data-am-tabs>
                <ul class="am-tabs-nav am-nav am-nav-tabs">
                    <li class="am-active"><a href="#tab1">项目立项（概算）信息</a></li>
<#--                    <li><a href="#tab2">项目立项（概算）其他信息</a></li>-->
                </ul>
                <div class="am-tabs-bd">
                    <div class="am-tab-panel am-fade am-in am-active" id="tab1">
                    <#--<input name="permissionID" id="permissionID" type="hidden" value="${permissionID!}" />-->
                        <!--验证表单元素（validate) begin-->
                        <input name="id" id="id" type="hidden" value="${projectId}" />
                        <table id="myTable" class="am-table am-table-bordered">
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="6" style="text-align: center">项目立项（概算）信息</th>
                                <input type="hidden"  style="border-style:none;" name="id" id="id" value="${id!}"/>
                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">部门名称:</span></th>
                                <td class="table-title" colspan="2" style="vertical-align: middle;" ><input class="table-inline" readonly value="${dept.name!}"/></td>
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">项目编号:</span></th>
                                <td class="table-title" colspan="2" style="vertical-align: middle;" ><input class="table-inline" readonly value="保存后默认提供"/></td>
                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">项目名称:</span></th>
                                <td class="table-title" colspan="5" >
                                    <input type="text" id="name" style="border-style:none;" data-validate-async data-validation-message="请输入项目名称（1000字符以内）"
                                    name="name" placeholder="请输入项目名称（1000字符以内）" maxlength="1000" value=""  />
                                </td>
                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">项目类型:</span></th>
                                <td class="table-title" colspan="1" >
                                    <select data-am-selected="{btnSize: 'sm',btnWidth: '80%',searchBox: 1}" id="type" name="type" >
                                        <option value="1" >工程集成类</option>
                                        <option value="2" >设备集成类</option>
                                    </select>
                                </td>
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">项目计划开始时间:</span></th>
                                <td class="table-title" colspan="1" >
<#--                                    <i class="am-icon-calendar"></i>-->
                                    <input type="text" style="border-style:none;" id="startDate"
                                           name="startDate" autocomplete="off"
                                           value="" placeholder="项目计划开始时间"
                                           data-am-datepicker >
                                </td>
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">项目计划结束时间:</span></th>
                                <td class="table-title" colspan="1" >
<#--                                    <i class="am-icon-calendar"></i>-->
                                    <input type="text" style="border-style:none;" id="endDate"
                                           name="endDate" autocomplete="off"
                                           value="" placeholder="项目计划结束时间"
                                           data-am-datepicker >
                                </td>
                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">垫资模式:</span></th>
                                <td class="table-title" colspan="1" id="spanMode" >
                                    <select data-am-selected="{btnSize: 'sm',btnWidth: '80%',searchBox: 1}" id="underwrittenMode" name="underwrittenMode" onchange="changeCheck()">
                                        <option value="1" >A类-不垫资</option>
                                        <option value="3" >B类-垫资（账期覆盖）</option>
                                        <option value="4" >C类-垫资（账期不覆盖）</option>
                                    </select>
                                </td>

                                <th class="table-title" colspan="4" id="noUnder0"></th>

                                <th class="table-title" colspan="1" id="noUnder1" hidden><span style="color: red;">*</span><span style="font-size: 15px">垫资利息:</span></th>
                                <td class="table-title" colspan="1" id="noUnder2" hidden>
                                    <input type="text" class="number am-input" style="border-style:none;" data-validate-async data-validation-message="请输入垫资利息"
                                           name="advanceInterestAmount" id="advanceInterestAmount" placeholder="单位（元）" maxlength="16"
                                           value="" />
                                </td>
                                <th class="table-title" colspan="1" id="noUnder3" hidden><span style="color: red;">*</span><span style="font-size: 15px">垫资峰值:</span></th>
                                <td class="table-title" colspan="1" id="noUnder4" hidden>
                                    <input type="text" class="number am-input" style="border-style:none;" data-validate-async data-validation-message="请输入垫资峰值"
                                           name="advancePeakAmount" id="advancePeakAmount" placeholder="单位（元）" maxlength="16"
                                           value="" />
                                </td>

                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">合作类型:</span></th>
                                <td class="table-title" colspan="1" id="spanMode" >
                                    <select data-am-selected="{btnSize: 'sm',btnWidth: '80%',searchBox: 1}" id="cooperateType" name="cooperateType" onchange="changeCheck2()">
                                        <option value="1" >战略合作类</option>
                                        <option value="2" >非战略合作类</option>
                                    </select>
                                </td>

                                <th class="table-title" colspan="1" id="coop1" ><span style="color: red;">*</span><span style="font-size: 15px">合作对象:</span></th>
                                <td class="table-title" colspan="3" id="coop2" >
                                    <div class="sameline">
                                        <input type="text" style="border-style:none;width: 50%;" data-validate-async data-validation-message="请输入合作对象"
                                               name="collaborator" id="collaborator" placeholder="请输入合作对象" maxlength="20"
                                               value="" />
                                        <span class="am-form-file am-text-xs spanline">
                                            <button type="button" class="am-btn am-btn-primary am-btn-sm" style="border: none">
                                                <i class="am-icon-cloud-upload"></i> 上传附件
                                            </button>
                                            <input id="file_upload_icon" type="file" name="files[]" >
                                            <span style="display:none;" id="collaboratorUrl_span"></span>
                                            <span id="collaboratorUrl_check"></span>
                                            <input id="collaboratorUrl" name="collaboratorUrl" type="hidden" value=""/>
                                        </span>
                                    </div>
                                </td>

                                <th class="table-title" colspan="4" id="coop0" hidden></th>

                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">合同金额:</span></th>
                                <td class="table-title" colspan="1" >
                                    <input type="text" class="number am-input" style="border-style:none;" data-validate-async data-validation-message="请输入合同金额"
                                           name="contractAmount" id="contractAmount" placeholder="单位（元）" maxlength="16"
                                           value=""  />
                                </td>
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">项目毛利:</span></th>
                                <td class="table-title" colspan="1" >
                                    <input type="text" class="number am-input" style="border-style:none;" data-validate-async data-validation-message="请输入项目毛利"
                                           name="grossProfit" id="grossProfit" placeholder="单位（元）" maxlength="16"
                                           value=""  />
                                </td>
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">项目毛利率:</span></th>
                                <td class="table-title" colspan="1" >
                                    <input type="text" class="number am-input" style="border-style:none;" data-validate-async data-validation-message="请输入项目毛利率"
                                           name="grossProfitMargin" id="grossProfitMargin" placeholder="单位（%）" maxlength="16"
                                           value=""  />
                                </td>
                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">汇智产品金额:</span></th>
                                <td class="table-title" colspan="1" >
                                    <input type="text" class="number am-input" style="border-style:none;" data-validation-message="汇智产品金额"
                                           name="huizhiProductAmount" id="huizhiProductAmount" placeholder="单位（元）" maxlength="16" value="" />
                                </td>
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">华智产品金额:</span></th>
                                <td class="table-title" colspan="1" >
                                    <input type="text" class="number am-input" style="border-style:none;" data-validation-message="华智产品金额"
                                           name="huazhiProductAmount" id="huazhiProductAmount" placeholder="单位（元）" maxlength="16" value="" />
                                </td>
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">华三产品金额:</span></th>
                                <td class="table-title" colspan="1" >
                                    <input type="text" class="number am-input" style="border-style:none;" data-validation-message="华三产品金额"
                                           name="huasanProductAmount" id="huasanProductAmount" placeholder="单位（元）" maxlength="16" value="" />
                                </td>
                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">其他产品金额:</span></th>
                                <td class="table-title" colspan="1" >
                                    <input type="text" class="number am-input" style="border-style:none;" data-validation-message="请输入其他产品金额"
                                           name="ziguangOtherAmount" id="ziguangOtherAmount" placeholder="单位（元）" maxlength="16" value="" />
                                </td>
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">项目把握度:</span></th>
                                <td class="table-title" colspan="1" >
                                    <select data-am-selected="{btnSize: 'sm',btnWidth: '80%',searchBox: 1}" id="certainty" name="certainty">
                                        <option value="1" >A：项目成功率80%-100%</option>
                                        <option value="2" >B：项目成功率60%-80%</option>
                                        <option value="3" >C：项目成功率40%-60%</option>
                                    </select>
                                </td>
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">行业场景应用:</span></th>
                                <td class="table-title" colspan="1" >
                                    <select data-am-selected="{btnSize: 'sm',btnWidth: '80%',searchBox: 1}" id="industryScene" name="industryScene">
                                        <option value="1" >信息安全</option>
                                        <option value="2" >政府</option>
                                        <option value="3" >公安</option>
                                        <option value="4" >企业</option>
                                        <option value="5" >教育</option>
                                        <option value="6" >交通</option>
                                        <option value="7" >医疗</option>
                                        <option value="8" >电力资源</option>
                                        <option value="9" >运营商</option>
                                        <option value="10" >金融</option>
                                        <option value="11" >专网</option>
                                        <option value="12" >其他</option>
                                        <option value="13" >互联网</option>
                                        <option value="14" >银行</option>
                                    </select>
                                </td>
                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">项目解决方案:</span></th>
                                <td class="table-title" colspan="1" >
                                    <select data-am-selected="{btnSize: 'sm',btnWidth: '80%',searchBox: 1}" id="resolvePlan" name="resolvePlan">
                                        <option value="1" >公共服务(智慧交通、雪亮工程、治安防控体系等)</option>
                                        <option value="2" >泛行业(智慧园区、智慧医疗、智慧工地等)</option>
                                        <option value="3" >其他生态</option>
                                    </select>
                                </td>
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">客户名称:</span></th>
                                <td class="table-title" colspan="1" >
                                    <input type="text" class="am-input" style="border-style:none;" data-validate-async data-validation-message="请输入客户名称（1000字符以内）"
                                           name="customer" id="customer" placeholder="请输入客户名称（1000字符以内）" maxlength="1000"
                                           value=""  />
                                </td>
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">最终用户名称:</span></th>
                                <td class="table-title" colspan="1" >
                                    <input type="text" class="am-input" style="border-style:none;" data-validate-async data-validation-message="请输入最终用户名称（1000字符以内）"
                                           name="terminalCustomer" id="terminalCustomer" placeholder="请输入最终用户名称（1000字符以内）" maxlength="1000"
                                           value=""  />
                                </td>
                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">价值及风险:</span></th>
                                <td class="table-title" colspan="5" >
                                    <textarea rows="5" cols="20" id="valueRisk" name="valueRisk" maxlength="1000"
                                              class="am-input" style="border-style:none;" data-validate-async data-validation-message="请输入价值及风险"
                                              placeholder="请输入价值及风险"
                                    ></textarea>
                                </td>
                            </tr>
<#--                        </table>-->
<#--                    </div>-->
<#--                    <!--验证表单元素（validate end&ndash;&gt;-->
<#--                </div>-->

<#--                <div class="am-tabs-bd">-->
<#--                    <div class="am-tab-panel am-fade am-in" id="tab2">-->
<#--                        <table id="myTable" class="am-table am-table-bordered">-->
<#--                            <tr class="am-text-nowrap">-->
<#--                                <th class="table-title" colspan="6" style="text-align: center">项目立项（概算）其他信息</th>-->
<#--                                <input type="hidden"  style="border-style:none;" name="id" id="id" value="${id!}"/>-->
<#--                            </tr>-->
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="color: red;">*</span><span style="font-size: 15px">项目负责人:</span></th>
                                <td class="table-title" colspan="1" >
                                    <input type="text" id="principal" class="am-input" style="border-style:none;" data-validate-async data-validation-message="请输入项目负责人"
                                           name="principal" placeholder="请输入项目负责人" maxlength="20"
                                           value="" />
                                </td>
                                <th class="table-title" colspan="1" ><span style="font-size: 15px">预计合同签订时间:</span></th>
                                <td class="table-title" colspan="1" >
                                    <input type="text" class="am-form-field am-input-sm" style="border-style:none;" id="contractTime"
                                           name="contractTime" autocomplete="off"
                                           value="" placeholder="预计合同签订时间"
                                           data-am-datepicker>
                                </td>
                                <th class="table-title" colspan="1" ><span style="font-size: 15px">项目计划招标时间:</span></th>
                                <td class="table-title" colspan="1" >
                                    <input type="text" class="am-form-field am-input-sm" style="border-style:none;" id="bidsTime"
                                           name="bidsTime" autocomplete="off"
                                           value="" placeholder="项目计划招标时间"
                                           data-am-datepicker>
                                </td>
                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="font-size: 15px">是否二次合作:</span></th>
                                <td class="table-title" colspan="1" >
                                    <select data-am-selected="{btnSize: 'sm',btnWidth: '80%',searchBox: 1}" id="isSecond" name="isSecond">
                                        <option value="-1" ></option>
                                        <option value="1" >是</option>
                                        <option value="2" >否</option>
                                    </select>
                                </td>
                                <th class="table-title" colspan="1" ><span style="font-size: 15px">直签:</span></th>
                                <td class="table-title" colspan="3" >
                                    <select data-am-selected="{btnSize: 'sm',btnWidth: '80%',searchBox: 1}" id="signType" name="signType">
                                        <option value="-1" ></option>
                                        <option value="1" >紫光汇智直接投标</option>
                                    </select>
                                </td>
                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="font-size: 15px">主合同收款条款:</span></th>
                                <td class="table-title" colspan="5" >
                                    <textarea rows="3" cols="20" id="mainContractCollectionTerms" name="mainContractCollectionTerms" maxlength="1000"
                                          class="am-input" style="border-style:none;" data-validate-async data-validation-message="请输入收款条款"
                                          placeholder="请输入收款条款"
                                    ></textarea>
                                </td>
                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="font-size: 15px">主合同具体解决方案:</span></th>
                                <td class="table-title" colspan="5" >
                                    <textarea rows="3" cols="20" id="mainContractResolvePlan" name="mainContractResolvePlan" maxlength="1000"
                                           class="am-input" style="border-style:none;" data-validate-async data-validation-message="请输入具体解决方案"
                                           placeholder="请输入具体解决方案"
                                    ></textarea>
                                </td>
                            </tr>
                            <tr class="am-text-nowrap">
                                <th class="table-title" colspan="1" ><span style="font-size: 15px">计收计划:</span></th>
                                <td class="table-title" colspan="5" >
                                    <textarea rows="3" cols="20" id="calculationCollection" name="calculationCollection" maxlength="1000"
                                          class="am-input" style="border-style:none;" data-validate-async data-validation-message="按照开票金额及时间罗列计收计划"
                                          placeholder="按照开票金额及时间罗列计收计划"
                                    ></textarea>
                                </td>
                            </tr>
                        </table>
<#--                <div class="am-tabs-bd">-->
<#--                    <div class="am-tab-panel am-fade am-in" id="tab2">-->
<#--                        <span class="am-text-lg">收入</span>-->
<#--                        <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">-->
<#--                            <tbody>-->
<#--                                <tr class="am-text-lg">-->
<#--                                    <td>类别</td>-->
<#--                                    <td>费用</td>-->
<#--                                    <td>含税金额（元）</td>-->
<#--                                    <td>不含税金额（元）</td>-->
<#--                                    <td>税率</td>-->
<#--                                </tr>-->
<#--                                <tr>-->
<#--                                    <td>收入</td>-->
<#--                                    <td>设备类</td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="incomeDeviceTaxInclude" id="incomeDeviceTaxInclude"></td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="incomeDeviceTaxExclude" id="incomeDeviceTaxExclude" readonly></td>-->
<#--                                    <td>-->
<#--                                        <select data-am-selected name="incomeDeviceSelect" id="incomeDeviceSelect">-->
<#--                                        <option value="0">0%</option>-->
<#--                                        <option value="0.01">1%</option>-->
<#--                                        <option value="0.03">3%</option>-->
<#--                                        <option value="0.06">6%</option>-->
<#--                                        <option value="0.09">9%</option>-->
<#--                                        <option value="0.13">13%</option>-->
<#--                                        <option value="自定义">自定义</option>-->
<#--                                    </select>-->
<#--                                    </td>-->
<#--                                </tr>-->
<#--                                <tr>-->
<#--                                    <td>收入</td>-->
<#--                                    <td>工程类</td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="incomeEngineerTaxInclude" id="incomeEngineerTaxInclude"></td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="incomeEngineerTaxExclude" id="incomeEngineerTaxExclude" readonly></td>-->
<#--                                    <td>-->
<#--                                        <select data-am-selected name="incomeEngineerSelect" id="incomeEngineerSelect">-->
<#--                                            <option value="0">0%</option>-->
<#--                                            <option value="0.01">1%</option>-->
<#--                                            <option value="0.03">3%</option>-->
<#--                                            <option value="0.06">6%</option>-->
<#--                                            <option value="0.09">9%</option>-->
<#--                                            <option value="0.13">13%</option>-->
<#--                                            <option value="自定义">自定义</option>-->
<#--                                        </select>-->
<#--                                    </td>-->
<#--                                </tr>-->
<#--                                <tr>-->
<#--                                    <td>收入</td>-->
<#--                                    <td>服务类</td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="incomeServiceTaxInclude" id="incomeServiceTaxInclude"></td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="incomeServiceTaxExclude" id="incomeServiceTaxExclude" readonly></td>-->
<#--                                    <td>-->
<#--                                        <select data-am-selected name="incomeServiceSelect" id="incomeServiceSelect">-->
<#--                                            <option value="0">0%</option>-->
<#--                                            <option value="0.01">1%</option>-->
<#--                                            <option value="0.03">3%</option>-->
<#--                                            <option value="0.06">6%</option>-->
<#--                                            <option value="0.09">9%</option>-->
<#--                                            <option value="0.13">13%</option>-->
<#--                                            <option value="自定义">自定义</option>-->
<#--                                        </select>-->
<#--                                    </td>-->
<#--                                </tr>-->
<#--                                <tr>-->
<#--                                    <td>合计</td>-->
<#--                                    <td></td>-->
<#--                                    <td><input type="text" class="number" name="incomeTotalTaxInclude" readonly title="此列累计"></td>-->
<#--                                    <td><input type="text" class="number" name="incomeTotalTaxExclude" readonly title="此列累计"></td>-->
<#--                                    <td>/</td>-->
<#--                                </tr>-->
<#--                            </tbody>-->
<#--                        </table>-->
<#--                        <span class="am-text-lg">成本</span>-->
<#--                        <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">-->
<#--                            <tbody>-->
<#--                                <tr class="am-text-lg">-->
<#--                                    <td>类别</td>-->
<#--                                    <td>费用</td>-->
<#--                                    <td>费用项目</td>-->
<#--                                    <td>含税金额（元）</td>-->
<#--                                    <td>不含税金额（元）</td>-->
<#--                                    <td>税率</td>-->
<#--                                </tr>-->
<#--                                <tr>-->
<#--                                    <td>成本</td>-->
<#--                                    <td>采购成本</td>-->
<#--                                    <td>设备</td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="costPurchaseDeviceTaxInclude" id="costPurchaseDeviceTaxInclude"></td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="costPurchaseDeviceTaxExclude" id="costPurchaseDeviceTaxExclude" readonly></td>-->
<#--                                    <td>-->
<#--                                        <select data-am-selected name="costPurchaseDeviceSelect" id="costPurchaseDeviceSelect">-->
<#--                                            <option value="0">0%</option>-->
<#--                                            <option value="0.01">1%</option>-->
<#--                                            <option value="0.03">3%</option>-->
<#--                                            <option value="0.06">6%</option>-->
<#--                                            <option value="0.09">9%</option>-->
<#--                                            <option value="0.13">13%</option>-->
<#--                                            <option value="自定义">自定义</option>-->
<#--                                        </select>-->
<#--                                    </td>-->
<#--                                </tr>-->
<#--                                <tr>-->
<#--                                    <td>成本</td>-->
<#--                                    <td>采购成本</td>-->
<#--                                    <td>施工</td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="costPurchaseBuildTaxInclude" id="costPurchaseBuildTaxInclude"></td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="costPurchaseBuildTaxExclude" id="costPurchaseBuildTaxExclude" readonly></td>-->
<#--                                    <td>-->
<#--                                        <select data-am-selected name="costPurchaseBuildSelect" id="costPurchaseBuildSelect">-->
<#--                                            <option value="0">0%</option>-->
<#--                                            <option value="0.01">1%</option>-->
<#--                                            <option value="0.03">3%</option>-->
<#--                                            <option value="0.06">6%</option>-->
<#--                                            <option value="0.09">9%</option>-->
<#--                                            <option value="0.13">13%</option>-->
<#--                                            <option value="自定义">自定义</option>-->
<#--                                        </select>-->
<#--                                    </td>-->
<#--                                </tr>-->
<#--                                <tr>-->
<#--                                    <td>成本</td>-->
<#--                                    <td>采购成本</td>-->
<#--                                    <td>服务</td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="costPurchaseServiceTaxInclude" id="costPurchaseServiceTaxInclude"></td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="costPurchaseServiceTaxExclude" id="costPurchaseServiceTaxExclude" readonly></td>-->
<#--                                    <td>-->
<#--                                        <select data-am-selected name="costPurchaseServiceSelect" id="costPurchaseServiceSelect">-->
<#--                                            <option value="0">0%</option>-->
<#--                                            <option value="0.01">1%</option>-->
<#--                                            <option value="0.03">3%</option>-->
<#--                                            <option value="0.06">6%</option>-->
<#--                                            <option value="0.09">9%</option>-->
<#--                                            <option value="0.13">13%</option>-->
<#--                                            <option value="自定义">自定义</option>-->
<#--                                        </select>-->
<#--                                    </td>-->
<#--                                </tr>-->
<#--                                <tr>-->
<#--                                    <td>成本</td>-->
<#--                                    <td>采购成本</td>-->
<#--                                    <td>其他</td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="costPurchaseOtherTaxInclude" id="costPurchaseOtherTaxInclude"></td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="costPurchaseOtherTaxExclude" id="costPurchaseOtherTaxExclude" readonly></td>-->
<#--                                    <td>-->
<#--                                        <select data-am-selected name="costPurchaseOtherSelect" id="costPurchaseOtherSelect">-->
<#--                                            <option value="0">0%</option>-->
<#--                                            <option value="0.01">1%</option>-->
<#--                                            <option value="0.03">3%</option>-->
<#--                                            <option value="0.06">6%</option>-->
<#--                                            <option value="0.09">9%</option>-->
<#--                                            <option value="0.13">13%</option>-->
<#--                                            <option value="自定义">自定义</option>-->
<#--                                        </select>-->
<#--                                    </td>-->
<#--                                </tr>-->
<#--                                <tr>-->
<#--                                    <td>成本</td>-->
<#--                                    <td>项目管理成本</td>-->
<#--                                    <td>项目管理成本</td>-->
<#--                                    <td><input type="text" class="number" name="costProjectManageTaxInclude" id="costProjectManageTaxInclude" readonly></td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="costProjectManageTaxExclude" id="costProjectManageTaxExclude"></td>-->
<#--                                    <td>/</td>-->
<#--                                </tr>-->
<#--                                <tr>-->
<#--                                    <td>成本</td>-->
<#--                                    <td>其他</td>-->
<#--                                    <td><input type="text" id="otherName" maxlength="50" data-validate-async data-validation-message="请输入其他类的名称（50字符以内）"-->
<#--                                               value="" name="otherName" placeholder="请输入其他类的名称（50字符以内）"/> </td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="costOtherOtherTaxInclude" id="costOtherOtherTaxInclude"></td>-->
<#--                                    <td><input type="text" class="number" maxlength="16" name="costOtherOtherTaxExclude" id="costOtherOtherTaxExclude" readonly></td>-->
<#--                                    <td>-->
<#--                                        <select data-am-selected name="costOtherOtherSelect" id="costOtherOtherSelect">-->
<#--                                            <option value="0">0%</option>-->
<#--                                            <option value="0.01">1%</option>-->
<#--                                            <option value="0.03">3%</option>-->
<#--                                            <option value="0.06">6%</option>-->
<#--                                            <option value="0.09">9%</option>-->
<#--                                            <option value="0.13">13%</option>-->
<#--                                            <option value="自定义">自定义</option>-->
<#--                                        </select>-->
<#--                                    </td>-->
<#--                                </tr>-->
<#--                                <tr>-->
<#--                                    <td>合计</td>-->
<#--                                    <td></td>-->
<#--                                    <td></td>-->
<#--                                    <td><input type="text" class="number" name="costTotalTaxInclude" readonly title="此列累计"></td>-->
<#--                                    <td><input type="text" class="number" name="costTotalTaxExclude" readonly title="此列累计"></td>-->
<#--                                    <td>/</td>-->
<#--                                </tr>-->
<#--                            </tbody>-->
<#--                        </table>-->
<#--                        <span class="am-text-lg">管理</span>-->
<#--                        <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">-->
<#--                            <tbody>-->
<#--                            <tr class="am-text-lg">-->
<#--                                <td>类别</td>-->
<#--                                <td>费用项目</td>-->
<#--                                <td>不含税金额（元）</td>-->
<#--                            </tr>-->
<#--                            <tr>-->
<#--                                <td>财务费用</td>-->
<#--                                <td>资金占用成本</td>-->
<#--                                <td><input type="text" class="number" maxlength="16" name="costExpropriationTaxExclude" id="costExpropriationTaxExclude"></td>-->
<#--                            </tr>-->
<#--                            <tr>-->
<#--                                <td>公司管理费用</td>-->
<#--                                <td></td>-->
<#--                                <td><input type="text" class="number" maxlength="16" name="costCompanyManageTaxExclude" id="costCompanyManageTaxExclude"></td>-->
<#--                            </tr>-->
<#--                            </tbody>-->
<#--                        </table>-->

<#--                        <span class="am-text-lg">利润率计算</span>-->
<#--                        <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">-->
<#--                            <tbody>-->
<#--                            <tr class="am-text-lg">-->
<#--                                <td>类别</td>-->
<#--                                <td></td>-->
<#--                            </tr>-->
<#--                            <tr>-->
<#--                                <td>项目毛利（元）</td>-->
<#--                                <td><input type="text" class="number" name="projectGrossProfit" readonly title="收入总计（不含税）-成本总计（不含税）-财务费用总计（不含税）"></td>-->
<#--                            </tr>-->
<#--                            <tr>-->
<#--                                <td>项目毛利率（%）</td>-->
<#--                                <td><input type="text" class="number" name="projectGrossProfitRate" readonly title="毛利（不含税）/收入总计（不含税）"></td>-->
<#--                            </tr>-->
<#--                            <tr>-->
<#--                                <td>项目贡献利润（元）</td>-->
<#--                                <td><input type="text" class="number" name="projectContributionProfit" readonly title="项目毛利（不含税）-公司管理费用总计（不含税）"></td>-->
<#--                            </tr>-->
<#--                            <tr>-->
<#--                                <td>项目贡献利润率（%）</td>-->
<#--                                <td><input type="text" class="number" name="projectContributionProfitRate" readonly title="贡献利润（不含税）/收入总计（不含税）"></td>-->
<#--                            </tr>-->
<#--                            </tbody>-->
<#--                        </table>-->
<#--                    </div>-->
<#--                    <!--验证表单元素（validate end&ndash;&gt;-->
<#--                </div>-->
                    </div>
                </div>
            </div>
            <!--选项卡（tabs）end-->
            <div class="am-margin">
                <button type="button" class="am-btn am-btn-warning am-btn-xs" onclick="javascript:history.go(-1);">返回上一级</button>
                <button type="button" class="am-btn am-btn-primary am-btn-xs" id="saveDraft">保存草稿</button>
                <button type="button" class="am-btn am-btn-primary am-btn-xs" id="saveApprove">提交审核</button>
            </div>
        </form>

    </div>
</div>
<script src="${base}/assets/js/project_common.js"></script>
<script src="${base}/assets/js/project_estimate.js"></script>
<script src="../common/jQuery-File-Upload/js/vendor/jquery.ui.widget.js"></script>
<script type="text/javascript" src="../common/jQuery-File-Upload/js/jquery.iframe-transport.js"></script>
<script type="text/javascript" src="../common/jQuery-File-Upload/js/jquery.fileupload.js"></script>
<script src="../common/jQuery-File-Upload/js/jquery.fileupload-process.js"></script>
<script src="../common/jQuery-File-Upload/js/jquery.fileupload-validate.js"></script>
<script>
    var result = 0;
    var projectNoResult = 0;
    var rateResult = 0;
    var check = 0;

    var changeCheck = function () {
        var underwrittenMode = $("#underwrittenMode").val();
        if (underwrittenMode <= 2) {
            $("#noUnder0").show();
            $("#noUnder1").hide();
            $("#noUnder2").hide();
            $("#noUnder3").hide();
            $("#noUnder4").hide();
        } else {
            $("#noUnder0").hide();
            $("#noUnder1").show();
            $("#noUnder2").show();
            $("#noUnder3").show();
            $("#noUnder4").show();
        }
    };

    var changeCheck2 = function () {
        var cooperateType = $("#cooperateType").val();
        if (cooperateType == 1) {
            $("#coop0").hide();
            $("#coop1").show();
            $("#coop2").show();
        } else {
            $("#coop0").show();
            $("#coop1").hide();
            $("#coop2").hide();
        }
    };

    $(function () {
        generateFileupload1('icon');

        calIncomeAndCost();
        $("#saveDraft").click(function () {
            $("#collaboratorUrl").val($("#collaboratorUrl_span").text());

            check = 0;
            $("#saveDraft").attr('disabled',true);
            // checkIfFillIn();
            if (check == 1) {
                $("#saveDraft").attr('disabled', false);
                return;
            }
            setTimeout(function () {
                $("#saveDraft").attr('disabled', false);
            }, 5000);
            $("#pmsForm").attr("action","${base}/project/estimateAddSave");
            $("#pmsForm").submit();

        });
        $("#saveApprove").click(function () {
            $("#collaboratorUrl").val($("#collaboratorUrl_span").text());

            check = 0;
            $("#saveApprove").attr('disabled',true);
            checkIfFillIn();
            if (check == 1) {
                $("#saveApprove").attr('disabled', false);
                return;
            }
            setTimeout(function () {
                $("#saveApprove").attr('disabled', false);
            }, 5000);
            $("#pmsForm").attr("action","${base}/project/estimateAddSaveAndApprove");
            $("#pmsForm").submit();
        });
    });

    function checkIfFillIn() {
        var name = $("#name").val();
        var startTime = $("#startDate").val();
        var endTime = $("#endDate").val();
        var underwrittenMode = $("#underwrittenMode").val();
        var cooperateType = $("#cooperateType").val();
        var collaborator = $("#collaborator").val();
        var collaboratorUrl = $("#collaboratorUrl").val();
        var advanceInterestAmount = $("#advanceInterestAmount").val();
        var advancePeakAmount = $("#advancePeakAmount").val();
        var contractAmount = $("#contractAmount").val();
        var grossProfit = $("#grossProfit").val();
        var grossProfitMargin = $("#grossProfitMargin").val();
        var huizhiProductAmount = $("#huizhiProductAmount").val();
        var huazhiProductAmount = $("#huazhiProductAmount").val();
        var huasanProductAmount = $("#huasanProductAmount").val();
        var ziguangOtherAmount = $("#ziguangOtherAmount").val();
        var industryScene = $("#industryScene").val();
        var customer = $("#customer").val();
        var terminalCustomer = $("#terminalCustomer").val();
        var valueRisk = $("#valueRisk").val();

        var principal = $("#principal").val();


        // var contractTime = $("#contractTime").val();
        // var bidsTime = $("#bidsTime").val();
        // var mainContractResolvePlan = $("#mainContractResolvePlan").val();
        // var calculationCollection = $("#calculationCollection").val();

        // var incomeDeviceTaxInclude = $("#incomeDeviceTaxInclude").val();
        // var incomeDeviceTaxExclude = $("#incomeDeviceTaxExclude").val();
        // var incomeEngineerTaxInclude = $("#incomeEngineerTaxInclude").val();
        // var incomeEngineerTaxExclude = $("#incomeEngineerTaxExclude").val();
        // var incomeServiceTaxInclude = $("#incomeServiceTaxInclude").val();
        // var incomeServiceTaxExclude = $("#incomeServiceTaxExclude").val();
        // var costPurchaseDeviceTaxInclude = $("#costPurchaseDeviceTaxInclude").val();
        // var costPurchaseDeviceTaxExclude = $("#costPurchaseDeviceTaxExclude").val();
        // var costPurchaseBuildTaxInclude = $("#costPurchaseBuildTaxInclude").val();
        // var costPurchaseBuildTaxExclude = $("#costPurchaseBuildTaxExclude").val();
        // var costPurchaseServiceTaxInclude = $("#costPurchaseServiceTaxInclude").val();
        // var costPurchaseServiceTaxExclude = $("#costPurchaseServiceTaxExclude").val();
        // var costPurchaseOtherTaxInclude = $("#costPurchaseOtherTaxInclude").val();
        // var costPurchaseOtherTaxExclude = $("#costPurchaseOtherTaxExclude").val();
        // var costCompanyManageTaxExclude  = $("#costCompanyManageTaxExclude ").val();
        // var costProjectManageTaxExclude  = $("#costProjectManageTaxExclude ").val();
        // var costOtherOtherTaxInclude  = $("#costOtherOtherTaxInclude").val();
        // var costOtherOtherTaxExclude  = $("#costOtherOtherTaxExclude").val();

        if (name.length <= 0) {
            window.confirm('项目名称不能为空');
            check = 1;
            return;
        }

        checkName();
        if (result == 1) {
            window.confirm('项目名称已存在');
            check = 1;
            return;
        }

        if (startTime.length <= 0) {
            window.confirm('项目计划开始时间不能为空');
            check = 1;
            return;
        }

        if (endTime.length <= 0) {
            window.confirm('项目计划结束时间不能为空');
            check = 1;
            return;
        }

        if (startTime > endTime) {
            window.confirm('开始日期应早于结束日期');
            check = 1;
            return;
        }

        // if (projectNo.length <= 0) {
        //     window.confirm('项目编号不能为空');
        //     check = 1;
        //     return;
        // }
        //
        // checkProjectNo();
        // if (projectNoResult == 1) {
        //     window.confirm('项目编号已存在');
        //     check = 1;
        //     return;
        // }

        if (cooperateType == 1 && (collaborator == undefined || collaborator.length <= 0 )) {
            window.confirm('合作对象不能为空');
            check = 1;
            return;
        }

        if (cooperateType == 1 && (collaboratorUrl == undefined || collaboratorUrl.length <= 0 )) {
            window.confirm('合作对象附件不能为空');
            check = 1;
            return;
        }


        if (underwrittenMode > 2 && (advanceInterestAmount == undefined || advanceInterestAmount.length <= 0)) {
            window.confirm('垫资利息不能为空');
            check = 1;
            return;
        }

        if (underwrittenMode > 2 && (advancePeakAmount == undefined || advancePeakAmount.length <= 0)) {
            window.confirm('垫资峰值不能为空');
            check = 1;
            return;
        }

        if (contractAmount == undefined || contractAmount.length <= 0) {
            window.confirm('合同金额不能为空');
            check = 1;
            return;
        }

        if (grossProfit == undefined || grossProfit.length <= 0) {
            window.confirm('项目毛利不能为空');
            check = 1;
            return;
        }

        if (grossProfitMargin == undefined || grossProfitMargin.length <= 0) {
            window.confirm('项目毛利率不能为空');
            check = 1;
            return;
        }

        if (huizhiProductAmount == undefined || huizhiProductAmount.length <= 0) {
            window.confirm('汇智产品金额不能为空');
            check = 1;
            return;
        }

        if (huazhiProductAmount == undefined || huazhiProductAmount.length <= 0) {
            window.confirm('华智产品金额不能为空');
            check = 1;
            return;
        }

        if (huasanProductAmount == undefined || huasanProductAmount.length <= 0) {
            window.confirm('华三产品金额不能为空');
            check = 1;
            return;
        }

        if (ziguangOtherAmount == undefined || ziguangOtherAmount.length <= 0) {
            window.confirm('其他产品金额不能为空');
            check = 1;
            return;
        }

        // if (industryScenario == undefined || industryScenario.length <= 0) {
        //     window.confirm('行业应用场景不能为空');
        //     check = 1;
        //     return;
        // }

        // if (mainContractCollectionTerms == undefined || mainContractCollectionTerms.length <= 0) {
        //     window.confirm('主合同收款条款不能为空');
        //     check = 1;
        //     return;
        // }

        if (customer == undefined || customer.length <= 0 ) {
            window.confirm('客户名称不能为空');
            check = 1;
            return;
        }

        if (terminalCustomer == undefined || terminalCustomer.length <= 0) {
            window.confirm('最终用户名称不能为空');
            check = 1;
            return;
        }

        if (valueRisk == undefined || valueRisk.length <= 0) {
            window.confirm('价值及风险不能为空');
            check = 1;
            return;
        }

        if (principal == undefined || principal.length <= 0) {
            window.confirm('项目负责人不能为空');
            check = 1;
            return;
        }
        //
        // if (contractTime.length <= 0) {
        //     window.confirm('预计合同签订时间不能为空');
        //     check = 1;
        //     return;
        // }
        //
        // if (bidsTime.length <= 0) {
        //     window.confirm('项目计划招标时间不能为空');
        //     check = 1;
        //     return;
        // }
        //
        // if (mainContractResolvePlan == undefined || mainContractResolvePlan.length <= 0) {
        //     window.confirm('主合同具体解决方案不能为空');
        //     check = 1;
        //     return;
        // }
        //
        // if (calculationCollection == undefined || calculationCollection.length <= 0) {
        //     window.confirm('计收计划不能为空');
        //     check = 1;
        //     return;
        // }

        /*if (incomeDeviceTaxInclude == '' || incomeDeviceTaxExclude == '' || incomeEngineerTaxInclude == '' || incomeEngineerTaxExclude == '' ||
            incomeServiceTaxInclude == '' || incomeServiceTaxExclude == '' || costPurchaseDeviceTaxInclude == '' || costPurchaseDeviceTaxExclude == '' ||
            costPurchaseBuildTaxInclude == '' || costPurchaseBuildTaxExclude == '' || costPurchaseServiceTaxInclude == '' || costPurchaseServiceTaxExclude == '' ||
            costPurchaseOtherTaxInclude == '' || costPurchaseOtherTaxExclude == '' || costProjectManageTaxExclude == '' || costExpropriationTaxExclude == '' ||
            costCompanyManageTaxExclude == '') {
            window.confirm('请完善项目详细信息');
            check = 1;
            return;
        }

        if (changeToNumber(incomeDeviceTaxInclude) < changeToNumber(incomeDeviceTaxExclude)) {
            window.confirm('设备类收入含税金额应大于不含税金额');
            check = 1;
            return;
        }

        if (changeToNumber(incomeEngineerTaxInclude) < changeToNumber(incomeEngineerTaxExclude)) {
            window.confirm('工程类收入含税金额应大于不含税金额');
            check = 1;
            return;
        }

        if (changeToNumber(incomeServiceTaxInclude) < changeToNumber(incomeServiceTaxExclude)) {
            window.confirm('服务类收入含税金额应大于不含税金额');
            check = 1;
            return;
        }

        if (changeToNumber(costPurchaseDeviceTaxInclude) < changeToNumber(costPurchaseDeviceTaxExclude)) {
            window.confirm('设备类采购成本含税金额应大于不含税金额');
            check = 1;
            return;
        }

        if (changeToNumber(costPurchaseBuildTaxInclude) < changeToNumber(costPurchaseBuildTaxExclude)) {
            window.confirm('施工类采购成本含税金额应大于不含税金额');
            check = 1;
            return;
        }

        if (changeToNumber(costPurchaseServiceTaxInclude) < changeToNumber(costPurchaseServiceTaxExclude)) {
            window.confirm('服务类采购成本含税金额应大于不含税金额');
            check = 1;
            return;
        }

        if (changeToNumber(costPurchaseOtherTaxInclude) < changeToNumber(costPurchaseOtherTaxExclude)) {
            window.confirm('其他类采购成本含税金额应大于不含税金额');
            check = 1;
            return;
        }

        if (changeToNumber(costOtherOtherTaxInclude) < changeToNumber(costOtherOtherTaxExclude)) {
            window.confirm('其他成本含税金额应大于不含税金额');
            check = 1;
            return;
        }*/

        checkRate();
        if (rateResult == 1) {
            window.confirm('项目年利率未填写或小于等于0，请联系管理员配置');
            check = 1;
            return;
        }
    }

    function checkName () {
        var name = $("#name").val();
        var id = $("#id").val();
        $.ajax({
            url: "${base}/project/checkName",
            data: {name: name, id: id},
            type: "post",
            dataType: "json",
            async: false,
            success: function (data) {
                result = data.status;
            }
        });
    };

    function checkProjectNo () {
        var projectNo = $("#projectNo").val();
        var id = $("#id").val();
        $.ajax({
            url: "${base}/project/checkProjectNo",
            data: {projectNo: projectNo, id: id},
            type: "post",
            dataType: "json",
            async: false,
            success: function (data) {
                projectNoResult = data.status;
            }
        });
    };

    function checkRate () {
        $.ajax({
            url: "${base}/sys/config/checkRate",
            type: "get",
            dataType: "json",
            async: false,
            success: function (data) {
                rateResult = data.status;
            }
        });
    };

    function changeToNumber(value) {
        value = value.replace(/[^\-\d.]/g, ""); //清除“-”、“数字”和“.”以外的字符
        value = value.replace(/\.{2,}/g, "."); //只保留第一个. 清除多余的
        return Number(value);
    }


    var generateFileupload1 = function (name) {
        var progressArea = $("#progress-area-" + name);//div
        var progressText = $("#progress-text-" + name);//进度条提示
        var progressBar = $(".am-progress-bar");//进度条

        $("#file_upload_icon").fileupload({
            url: "${base}/file/upload",
            dataType: 'json',
            maxFileSize: 50 * 1024 * 1024,
            maxNumberOfFiles: 1,
            start: function (e) {
                progressArea.removeClass("am-hide");
                progressText.removeClass("am-text-danger");
                progressText.html("");
                progressBar.css("width", "0%");
            },
            done: function (e, data) {
                console.log(data);
                //设置服务器返回的url
                $("#collaboratorUrl").val(data.result.data.url);
                $("#collaboratorUrl_span").text(data.result.data.url);
                $("#collaboratorUrl_check").text("已上传");
                // console.log("collboratorUrl: " + $("#collaboratorUrl").val());
                setTimeout(function () {
                    progressArea.addClass("am-hide");
                }, 1500);
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                console.log(progress);
                progressBar.css("width", progress + "%");
                progressText.html(progress + "%");
            },
            error: function (jqXHR2, textStatus, errorThrown) {
                progressArea.removeClass("am-hide");
                progressText.addClass("am-text-danger");
                progressText.html("imageupload error！");
                progressBar.css("width", "0%");
                setTimeout(function () {
                    progressArea.addClass("am-hide");
                }, 2000);
            },
            fail: function (jqXHR2, textStatus) {
                progressArea.removeClass("am-hide");
                progressText.addClass("am-text-danger");
                progressText.html("imageupload fail！");
                progressBar.css("width", "0%");
                setTimeout(function () {
                    progressArea.addClass("am-hide");
                }, 2000);
            },
            processfail: function (e, data) {
                var currentFile = data.files[data.index];
                if (data.files.error && currentFile.error) {
                    parent.layer.msg(currentFile.error);
                }
            }
        });
    };
</script>
</@defaultLayout.layout>















